### VARIABLES ###
CC = gcc
CFLAGS = -Wall \
         -ansi \
         -pedantic
LIBS = -lgraph
EXE = taquin
OFILES = main.o \
         affichage.o \
         partie.o

### BUT PAR DEFAUT ###
but : ${EXE}

### REGLES ESSENTIELLES ###
affichage.o : affichage.h config.h

partie.o : partie.h config.h

main.o : affichage.h partie.h config.h

${EXE} : ${OFILES}
	$(CC) $(CFLAGS) -o ${EXE} ${OFILES} ${LIBS}

### REGLES OPTIONNELLES ###
run : but
	./${EXE}

clean :
	-rm -f ${OFILES} ${EXE}

mrproper : clean but

### BUTS FACTICES ###
.PHONY : but clean mrproper run

### FIN ###
